package org.pix.healthcode;

import android.content.Context;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import java.util.Arrays;

public final class PrefsConfig {
    private Context context;
    private SharedPreferences sharedPrefs;

    public PrefsConfig(Context context2) {
        this.context = context2;
        this.sharedPrefs = PreferenceManager.getDefaultSharedPreferences(context2);
    }

    private int getProvinceIndex(int i) {
        String[] stringArray = this.context.getResources().getStringArray(R.array.province_values);
        int i2 = 0;
        String str = stringArray[0];
        SharedPreferences sharedPreferences = this.sharedPrefs;
        String string = sharedPreferences.getString("KEY_PROVINCE" + i, str);
        int indexOf = Arrays.asList(stringArray).indexOf(string);
        if (indexOf != -1) {
            return indexOf;
        }
        int indexOf2 = Arrays.asList(this.context.getResources().getStringArray(R.array.provinces)).indexOf(string);
        if (indexOf2 != -1) {
            i2 = indexOf2;
        }
        SharedPreferences.Editor edit = this.sharedPrefs.edit();
        edit.putString("KEY_PROVINCE" + i, stringArray[i2]).apply();
        return i2;
    }

    private String getProvinceValue(int i) {
        String[] stringArray = this.context.getResources().getStringArray(R.array.province_values);
        int i2 = 0;
        String str = stringArray[0];
        SharedPreferences sharedPreferences = this.sharedPrefs;
        String string = sharedPreferences.getString("KEY_PROVINCE" + i, str);
        if (Arrays.asList(stringArray).indexOf(string) != -1) {
            return string;
        }
        int indexOf = Arrays.asList(this.context.getResources().getStringArray(R.array.provinces)).indexOf(string);
        if (indexOf != -1) {
            i2 = indexOf;
        }
        SharedPreferences.Editor edit = this.sharedPrefs.edit();
        edit.putString("KEY_PROVINCE" + i, stringArray[i2]).apply();
        return stringArray[i2];
    }

    public String getProvince(int i) {
        return this.context.getResources().getStringArray(R.array.provinces)[getProvinceIndex(i)];
    }

    public String getProvince() {
        return getProvince(getUserIndex());
    }

    public void resetCity(int i) {
        String str = this.context.getResources().getStringArray(getCitiesResId(i))[0];
        SharedPreferences.Editor edit = this.sharedPrefs.edit();
        edit.putString("KEY_CITY" + i, str).apply();
    }

    public String getCity(int i) {
        String str = this.context.getResources().getStringArray(getCitiesResId(i))[0];
        SharedPreferences sharedPreferences = this.sharedPrefs;
        return sharedPreferences.getString("KEY_CITY" + i, str);
    }

    public String getCity() {
        return getCity(getUserIndex());
    }

    public int getCitiesResId(int i) {
        return ResourceUtil.getId(this.context, "R.array." + getProvinceValue(i) + "_cities");
    }

    public int getCitiesResId() {
        return getCitiesResId(getUserIndex());
    }

    private int getCityIndex(int i) {
        String[] stringArray = this.context.getResources().getStringArray(getCitiesResId(i));
        String str = stringArray[0];
        SharedPreferences sharedPreferences = this.sharedPrefs;
        int indexOf = Arrays.asList(stringArray).indexOf(sharedPreferences.getString("KEY_CITY" + i, str));
        if (indexOf != -1) {
            return indexOf;
        }
        resetCity(i);
        return 0;
    }

    public void resetHotline(int i) {
        String str = this.context.getResources().getStringArray(getTelcodesResId(i))[getCityIndex(i)];
        if (!str.startsWith("+")) {
            str = str.concat("-12345-6");
        }
        SharedPreferences.Editor edit = this.sharedPrefs.edit();
        edit.putString("KEY_HOTLINE" + i, str).apply();
    }

    public String getHotline(int i) {
        String str = this.context.getResources().getStringArray(getTelcodesResId(i))[getCityIndex(i)];
        if (!str.startsWith("+")) {
            str = str.concat("-12345-6");
        }
        SharedPreferences sharedPreferences = this.sharedPrefs;
        return sharedPreferences.getString("KEY_HOTLINE" + i, str);
    }

    public String getHotline() {
        return getHotline(getUserIndex());
    }

    public int getTelcodesResId(int i) {
        return ResourceUtil.getId(this.context, "R.array." + getProvinceValue(i) + "_telcodes");
    }

    public int getTelcodesResId() {
        return getTelcodesResId(getUserIndex());
    }

    private int getColorIndex(int i) {
        String[] stringArray = this.context.getResources().getStringArray(R.array.code_color_values);
        int i2 = 0;
        String str = stringArray[0];
        SharedPreferences sharedPreferences = this.sharedPrefs;
        String string = sharedPreferences.getString("KEY_COLOR" + i, str);
        int indexOf = Arrays.asList(stringArray).indexOf(string);
        if (indexOf != -1) {
            return indexOf;
        }
        int indexOf2 = Arrays.asList(this.context.getResources().getStringArray(R.array.code_color_names)).indexOf(string);
        if (indexOf2 != -1) {
            i2 = indexOf2;
        }
        SharedPreferences.Editor edit = this.sharedPrefs.edit();
        edit.putString("KEY_COLOR" + i, stringArray[i2]).apply();
        return i2;
    }

    public String getCheckpoint(int i) {
        return this.context.getResources().getStringArray(R.array.checkpoints)[getColorIndex(i)];
    }

    public String getCheckpoint() {
        return getCheckpoint(getUserIndex());
    }

    public int getColorValue(int i) {
        String[] stringArray = this.context.getResources().getStringArray(R.array.code_color_values);
        int i2 = 0;
        String str = stringArray[0];
        SharedPreferences sharedPreferences = this.sharedPrefs;
        String string = sharedPreferences.getString("KEY_COLOR" + i, str);
        if (Arrays.asList(stringArray).indexOf(string) == -1) {
            int indexOf = Arrays.asList(this.context.getResources().getStringArray(R.array.code_color_names)).indexOf(string);
            if (indexOf != -1) {
                i2 = indexOf;
            }
            string = stringArray[i2];
            SharedPreferences.Editor edit = this.sharedPrefs.edit();
            edit.putString("KEY_COLOR" + i, string).apply();
        }
        int id = ResourceUtil.getId(this.context, "R.color." + string);
        if (id == 0) {
            id = R.color.green;
        }
        return this.context.getColor(id);
    }

    public int getColorValue() {
        return getColorValue(getUserIndex());
    }

    public String getColorName(int i) {
        return this.context.getResources().getStringArray(R.array.code_color_names)[getColorIndex(i)];
    }

    public String getColorName() {
        return getColorName(getUserIndex());
    }

    public String getUserName(int i) {
        int id = ResourceUtil.getId(this.context, "R.string.default_name" + i);
        SharedPreferences sharedPreferences = this.sharedPrefs;
        return sharedPreferences.getString("KEY_NAME" + i, this.context.getString(id));
    }

    public String getUserName() {
        return getUserName(getUserIndex());
    }

    public String getUserId(int i) {
        int id = ResourceUtil.getId(this.context, "R.string.default_id" + i);
        SharedPreferences sharedPreferences = this.sharedPrefs;
        return sharedPreferences.getString("KEY_ID" + i, this.context.getString(id));
    }

    public String getUserId() {
        return getUserId(getUserIndex());
    }

    public String getCodeContent(int i) {
        SharedPreferences sharedPreferences = this.sharedPrefs;
        StringBuilder sb = new StringBuilder(sharedPreferences.getString("KEY_CONTENT" + i, this.context.getString(R.string.default_content)));
        if (!"山东省".equals(getProvince(i))) {
            sb.append("&city=" + getCity(i));
            sb.append("&name=" + getUserName(i));
            sb.append("&id=" + getUserId(i));
        }
        sb.append("&ts=" + System.currentTimeMillis());
        return sb.toString();
    }

    public String getCodeContent() {
        return getCodeContent(getUserIndex());
    }

    public int getUserIndex() {
        return this.sharedPrefs.getInt("KEY_USER_INDEX", 0);
    }

    public void setUserIndex(int i) {
        this.sharedPrefs.edit().putInt("KEY_USER_INDEX", i).apply();
    }

    public void load() {
        if (!this.sharedPrefs.contains("KEY_USER_INDEX")) {
            this.sharedPrefs.edit().putInt("KEY_USER_INDEX", 0).apply();
        }
        for (int i = 0; i < 2; i++) {
            load(i);
        }
    }

    public void load(int i) {
        String str = this.context.getResources().getStringArray(R.array.province_values)[i * 10];
        SharedPreferences sharedPreferences = this.sharedPrefs;
        if (!sharedPreferences.contains("KEY_PROVINCE" + i)) {
            SharedPreferences.Editor edit = this.sharedPrefs.edit();
            edit.putString("KEY_PROVINCE" + i, str).apply();
        }
        SharedPreferences sharedPreferences2 = this.sharedPrefs;
        if (!sharedPreferences2.contains("KEY_CITY" + i)) {
            String str2 = this.context.getResources().getStringArray(getCitiesResId(i))[0];
            SharedPreferences.Editor edit2 = this.sharedPrefs.edit();
            edit2.putString("KEY_CITY" + i, str2).apply();
        }
        SharedPreferences sharedPreferences3 = this.sharedPrefs;
        if (!sharedPreferences3.contains("KEY_HOTLINE" + i)) {
            String str3 = this.context.getResources().getStringArray(getTelcodesResId(i))[0];
            if (!str3.startsWith("+")) {
                str3 = str3.concat("-12345-6");
            }
            SharedPreferences.Editor edit3 = this.sharedPrefs.edit();
            edit3.putString("KEY_HOTLINE" + i, str3).apply();
        }
        SharedPreferences sharedPreferences4 = this.sharedPrefs;
        if (!sharedPreferences4.contains("KEY_NAME" + i)) {
            SharedPreferences.Editor edit4 = this.sharedPrefs.edit();
            edit4.putString("KEY_NAME" + i, getUserName(i)).apply();
        }
        SharedPreferences sharedPreferences5 = this.sharedPrefs;
        if (!sharedPreferences5.contains("KEY_ID" + i)) {
            SharedPreferences.Editor edit5 = this.sharedPrefs.edit();
            edit5.putString("KEY_ID" + i, getUserId(i)).apply();
        }
        SharedPreferences sharedPreferences6 = this.sharedPrefs;
        if (!sharedPreferences6.contains("KEY_CONTENT" + i)) {
            SharedPreferences.Editor edit6 = this.sharedPrefs.edit();
            edit6.putString("KEY_CONTENT" + i, this.context.getString(R.string.default_content)).apply();
        }
        SharedPreferences sharedPreferences7 = this.sharedPrefs;
        if (!sharedPreferences7.contains("KEY_COLOR" + i)) {
            String str4 = this.context.getResources().getStringArray(R.array.code_color_values)[0];
            SharedPreferences.Editor edit7 = this.sharedPrefs.edit();
            edit7.putString("KEY_COLOR" + i, str4).apply();
        }
    }
}
