package org.pix.healthcode;

import android.content.Context;
import android.content.res.Resources;
import java.io.File;

public final class ResourceUtil {
    public static final CharSequence appDataPath = (File.separator + "data" + File.separator + "data");

    public static int getId(Context context, String str) {
        String str2;
        String str3;
        String str4;
        String[] split = str.split("\\.");
        if (split.length < 2 || split.length > 3) {
            return 0;
        }
        if (split.length == 3) {
            if (!split[0].equals("R")) {
                str4 = split[0];
            } else {
                str4 = context.getPackageName();
            }
            str3 = split[1];
            str2 = split[2];
        } else {
            str4 = context.getPackageName();
            str3 = split[0];
            str2 = split[1];
        }
        return context.getResources().getIdentifier(str2, str3, str4);
    }

    public static String getString(Context context, String str) {
        return getString(context, str, null);
    }

    public static String getString(Context context, String str, String str2) {
        try {
            return context.getString(getId(context, "string." + str));
        } catch (Resources.NotFoundException unused) {
            return str2;
        }
    }

    public static int getInt(Context context, String str, int i) {
        try {
            return context.getResources().getInteger(getId(context, str));
        } catch (Resources.NotFoundException unused) {
            return i;
        }
    }

    public static int[] getIntArray(Context context, String str) {
        try {
            return context.getResources().getIntArray(getId(context, str));
        } catch (Resources.NotFoundException unused) {
            return null;
        }
    }

    public static String[] getStringArray(Context context, String str) {
        try {
            return context.getResources().getStringArray(getId(context, str));
        } catch (Resources.NotFoundException unused) {
            return null;
        }
    }

    public static String getDataPath(Context context) {
        return ((Object) appDataPath) + File.separator + context.getPackageName();
    }

    public static String getDatabasePath(Context context) {
        return ((Object) appDataPath) + File.separator + context.getPackageName() + File.separator + "databases";
    }

    public static String getFileStreamPath(Context context) {
        return ((Object) appDataPath) + File.separator + context.getPackageName() + File.separator + "files";
    }

    public static String getSharedPrefsPath(Context context) {
        return ((Object) appDataPath) + File.separator + context.getPackageName() + File.separator + "shared_prefs";
    }
}
