package org.pix.healthcode;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.os.Bundle;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Toast;

public class WebViewActivity extends Activity {
    public static Intent createIntent(Context context, int i, String str) {
        return createIntent(context, context.getString(i), str);
    }

    public static Intent createIntent(Context context, String str, String str2) {
        Intent intent = new Intent(context, WebViewActivity.class);
        intent.putExtra("title", str);
        intent.putExtra("url", str2);
        return intent;
    }

    public static void startActivity(Context context, int i, String str) {
        startActivity(context, context.getString(i), str);
    }

    public static void startActivity(Context context, String str, String str2) {
        try {
            context.startActivity(createIntent(context, str, str2));
        } catch (ActivityNotFoundException e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Intent intent = getIntent();
        String stringExtra = intent.getStringExtra("url");
        String stringExtra2 = intent.getStringExtra("title");
        setContentView(R.layout.activity_webview);
        setTitle(stringExtra2);
        WebView webView = (WebView) findViewById(R.id.webview);
        webView.loadUrl(stringExtra);
        webView.setWebViewClient(new WebViewClient() {
            /* class org.pix.healthcode.WebViewActivity.AnonymousClass1 */

            @Override // android.webkit.WebViewClient
            public boolean shouldOverrideUrlLoading(WebView webView, String str) {
                if (str.startsWith("market:")) {
                    Intent intent = new Intent("android.intent.action.VIEW");
                    intent.setData(Uri.parse(str));
                    intent.setPackage("com.android.vending");
                    intent.addFlags(268435456);
                    try {
                        WebViewActivity.this.startActivity(intent);
                    } catch (ActivityNotFoundException unused) {
                        Toast.makeText(WebViewActivity.this, (int) R.string.playstore_not_installed, 1).show();
                        webView.loadUrl(str.replace("market://", "https://play.google.com/store/apps/"));
                    }
                } else if (str.startsWith("mailto:")) {
                    String substring = str.substring(7);
                    Intent intent2 = new Intent("android.intent.action.SEND");
                    intent2.setType("plain/text");
                    intent2.putExtra("android.intent.extra.EMAIL", new String[]{substring});
                    PackageManager packageManager = WebViewActivity.this.getPackageManager();
                    try {
                        PackageInfo packageInfo = packageManager.getPackageInfo(WebViewActivity.this.getPackageName(), 0);
                        intent2.putExtra("android.intent.extra.SUBJECT", WebViewActivity.this.getString(R.string.menu_about) + " " + ((Object) packageInfo.applicationInfo.loadLabel(packageManager)));
                        intent2.putExtra("android.intent.extra.TEXT", BuildConfig.FLAVOR);
                        WebViewActivity.this.startActivity(Intent.createChooser(intent2, BuildConfig.FLAVOR));
                    } catch (PackageManager.NameNotFoundException unused2) {
                    }
                } else {
                    webView.loadUrl(str);
                }
                return true;
            }
        });
    }
}
